Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlamrg

    java.lang.Object
      org.netlib.lapack.Dlamrg

    public class Dlamrg

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAMRG will create a permutation list which will merge the elements
     *  of A (which is composed of two independently sorted sets) into a
     *  single set which is sorted in ascending order.
     *
     *  Arguments
     *  =========
     *
     *  N1     (input) INTEGER
     *  N2     (input) INTEGER
     *         These arguements contain the respective lengths of the two
     *         sorted lists to be merged.
     *
     *  A      (input) DOUBLE PRECISION array, dimension (N1+N2)
     *         The first N1 elements of A contain a list of numbers which
     *         are sorted in either ascending or descending order.  Likewise

     *         for the final N2 elements.
     *
     *  DTRD1  (input) INTEGER
     *  DTRD2  (input) INTEGER
     *         These are the strides to be taken through the array A.
     *         Allowable strides are 1 and -1.  They indicate whether a
     *         subset of A is sorted in ascending (DTRDx = 1) or descending
     *         (DTRDx = -1) order.
     *
     *  INDEX  (output) INTEGER array, dimension (N1+N2)
     *         On exit this array will contain a permutation such that
     *         if B( I ) = A( INDEX( I ) ) for I=1,N1+N2, then B will be
     *         sorted in ascending order.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Dlamrg()`

Method Summary
`static void` | `dlamrg(int n1, int n2, double[] a, int _a_offset, int dtrd1, int dtrd2, int[] index, int _index_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlamrg

    public Dlamrg()

Method Detail

### dlamrg

    public static void dlamrg(int n1,
                              int n2,
                              double[] a,
                              int _a_offset,
                              int dtrd1,
                              int dtrd2,
                              int[] index,
                              int _index_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD